@charset "UTF-8";
#main-visual {
    height: 350px;
    background-image: url(../img/kasou_back.webp);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -80px;
    padding-top: 50px;
}

#main-visual h1 {
    font-size: 3rem;
    letter-spacing: 0.2em;
    margin-bottom: 1em;
}

@media screen and (max-width: 767px) {
    #main-visual {
        height: 50vw;
        margin-top: -50px;
    }

    #main-visual h1 {
        font-size: 5vw;
    }
}

.corporate_list {
    font-size: clamp(15px,1.5vw,18px);
    line-height: 1.5;
    letter-spacing: 0.05em;
    text-align: justify;
}

.corporate_list > div {
    display: flex;
    gap: 0.5em;
}

.corporate_list > div > dt {
    width: 12em;
    padding: 1.5em 0.5em;
    border-top: 1px solid var(--main);
    color: var(--main);
}

.corporate_list > div > dd {
    flex: 1;
    padding: 1.5em 0.5em;
    border-top: 1px solid #aaa;
}

.inner_dl > div {
    display: flex;
    gap: 1em
}

.inner_dl > div:not(:last-child) {
    margin-bottom: 0.5em;
}

.inner_dl.map > div:not(:last-child) {
    margin-bottom: 2em;
}

.inner_dl > div > dt {
    min-width: 10em;
    font-size: 95%;
}

.inner_dl > div > dt span {
    font-weight: normal;
}

.inner_dl > div > dd {
    flex: 1;
}

.inner_dl > div > dd iframe {
    display: block;
    width: 100%;
    height: 20vw;
    margin-top: 0.5em;
}

.office_list {
    margin-top: 2em;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em 0;
}

.office_list li {
    min-width: 18em;
}

.group_list:not(:last-child) {
    margin-bottom: 2em;
}

.group_list .ttl {
    font-weight: bold;
    margin-bottom: 0.5em;
}

.group_list ul {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em 0;
}

.group_list li {
    min-width: 25em;
}

.group_list li a {
    text-decoration: underline;
    text-decoration-color: var(--main);
    text-underline-offset: 0.25em;
    transition: all 0.2s;
}

.group_list li a:hover {
    text-decoration-color: var(--sub);
    text-underline-offset: 0em;
    color: var(--sub);
}

@media screen and (max-width: 767px) {
    .corporate_list {
        font-size: clamp(13px, 1.8vw, 16px);
    }

    .corporate_list > div {
        flex-wrap: wrap;
        gap: 0;
    }

    .corporate_list > div > dt {
        width: 100%;
        padding: 1.5em 0.5em 0.5em;
        border-top: 1px solid var(--main);
    }

    .corporate_list > div > dd {
        padding: 0.5em 0.5em 1.5em;
        border-top: none;
    }

    .inner_dl > div {
        flex-wrap: wrap;
        gap: 0.3em
    }

    .inner_dl > div:not(:last-child) {
        margin-bottom: 1.5em;
    }

    .inner_dl.map > div:not(:last-child) {
        margin-bottom: 2.5em;
    }

    .inner_dl > div > dt {
        min-width: 100%;
        font-size: 95%;
    }

    .inner_dl > div > dd iframe {
        height: 40vw;
    }
}